Subject: Re: [bug#29135] awesome: Update to 4.2

From: ng0 <[email-masked]>
Date: Tue, 7 Nov 2017 17:01:39 +0000

Ludovic Courtès transcribed 0.7K bytes:
> ng0 <[email-masked]> skribis:
> 
> > This updates awesome to 4.2.
> >
> > Someone using awesome should test if this fixes the runtime
> > errors 4.0 currently gives on GuixSD. In any case we can't
> > break it anymore than it is right now, so 4.2 fixes 150
> > issues as upstream states…
> 
> Indeed.
> 
> > In my opinion we should upstream the reproducibility fixes
> > we include locally, to share them with other projects.
> 
> I agree.  Are you volunteering?  :-)

Too little time, too much conversation, different politics
and public outreach for just one person.
I'm doing this already, but it's harder to do for patches I
didn't write and can not argue for if they are questioned.

In my opinion we need a list of these patches, and it has
upstreaming can not rely on one person only.

> > From d4950d35c76145defbfaa77c814d08c243d1f7f4 Mon Sep 17 00:00:00 2001
> > From: ng0 <[email-masked]>
> > Date: Fri, 3 Nov 2017 15:07:58 +0000
> > Subject: [PATCH] gnu: awesome: Update to 4.2.
> >
> > * gnu/packages/wm.scm (awesome): Update to 4.2.
> 
> Applied, thanks!
> 
> Ludo'.
> 

-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
  WWW: https://ng0.infotropique.org